> For the complete documentation index, see [llms.txt](https://docs.learncard.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.learncard.com/how-to-guides/implement-flows/chapi/cheat-sheets/issuers.md).

# Issuers

```typescript
import { initLearnCard } from '@learncard/init';

const learnCard = await initLearnCard({ seed: '1234' });

const vc = learnCard.invoke.newCredential(); // Or otherwise generate a credential, i.e. VC-API or OIDC

const result = await learnCard.invoke.storeCredentialViaChapiDidAuth(vc);

if (result.success) console.log('Credential stored! 😎');
```

{% hint style="info" %}
This cheat-sheet uses a test credential. Often, issuers will want to use VC-API or OIDCv4 protocols for signing the actual credential in tandem with CHAPI for selecting which wallet to send the credential to. Once you've got CHAPI setup, check out [LearnCard Bridge](broken://pages/AZysSjiEjB89UYGnmoZ9) to setup VC-API.
{% endhint %}

### More Info

{% content-ref url="/pages/VMHxIMHGxFJWs5ovijes" %}
[Using LearnCard to Interact with a CHAPI Wallet](/how-to-guides/implement-flows/chapi/using-learncard-to-interact-with-a-chapi-wallet.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.learncard.com/how-to-guides/implement-flows/chapi/cheat-sheets/issuers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
